Get Single
Get Asset
Retrieve detailed information for one asset by ID or slug
GET
/
v1
/
assets
/
{idOrSlug}
Get Asset
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 2147483647,
"code": "<string>",
"title": "<string>",
"slug": "<string>",
"tag_line": "<string>",
"description": "<string>",
"image_url": "<string>",
"sector": "<string>",
"category": "<string>",
"updated_at": 123,
"type": "Infrastructure",
"market_cap": {
"asset_id": 2147483647,
"rank": 2147483647,
"usd": 8.988465674311579e+307,
"dominance": 1.7014115e+38,
"percent_change_btc_1_h": 1.7014115e+38,
"percent_change_btc_24_h": 1.7014115e+38,
"percent_change_usd_1_h": 1.7014115e+38,
"percent_change_usd_24_h": 1.7014115e+38,
"percent_change_eth_1_h": 1.7014115e+38,
"percent_change_eth_24_h": 1.7014115e+38,
"updated_at": 123
},
"price": {
"asset_id": 2147483647,
"usd": 8.988465674311579e+307,
"btc": 8.988465674311579e+307,
"eth": 8.988465674311579e+307,
"sparkline_7d": "<string>",
"updated_at": 123
}
}Overview
Fetch a single asset by ID (2), code (eth), or slug (ethereum). You can optionally expand related objects (e.g. supply) to avoid making multiple requests. Single asset payloads include price and market_cap expansions by default, unless an explicit ?expand= flag is provided.
Example Request
curl -H "x-api-key: YOUR_API_KEY" \\
"https://api.blockworks.com/v1/assets/ethereum"
const res = await fetch(
'https://api.blockworks.com/v1/assets/ethereum',
{ headers: { 'x-api-key': 'YOUR_API_KEY' } }
)
const data = await res.json()
import requests
r = requests.get(
'https://api.blockworks.com/v1/assets/ethereum',
headers={'x-api-key': 'YOUR_API_KEY'}
)
data = r.json()
Example Response
{
"id": 2,
"code": "ETH",
"title": "Ethereum",
"slug": "ethereum",
"tag_line": "A decentralized computing platform",
"description": "Ethereum is a distributed blockchain computing platform for smart contracts and decentralized applications. Its native token is ether (ETH), which primarily serves as a means of payment for transaction fees and as collateral for borrowing specific ERC-20 tokens within the decentralized finance (DeFi) sector.",
"image_url": "https://coin-images.coingecko.com/coins/images/279/large/ethereum.png?1696501628",
"category": "Infrastructure",
"updated_at": 1761159971,
"type": "Infrastructure",
"sector": "L1",
"market_cap": {
"rank": 2,
"usd": 459025701727,
"dominance": 11.741,
"percent_change_btc_1h": -0.399197,
"percent_change_btc_24h": -1.63031,
"percent_change_usd_1h": -0.216457,
"percent_change_usd_24h": -5.08756,
"percent_change_usd_7d": -4.58515,
"percent_change_usd_30d": -8.57149,
"percent_change_eth_1h": 0,
"percent_change_eth_24h": 0,
"updated_at": 1761159971
},
"price": {
"usd": 3814.21,
"btc": 0.035259267482631,
"eth": 1,
"updated_at": 1761159971
}
}
Supported Options
| Name | Type | Details |
|---|---|---|
idOrSlug | path | The ID or slug of the asset to fetch |
expand | query | The fields to expand. See Expand Options for more details. |
Response Fields
| Field | Type | Description |
|---|---|---|
id | number | Unique asset identifier |
category | string | Asset category (e.g., Infrastructure, DeFi) |
code | string | Asset ticker symbol (e.g., BTC, ETH) |
description | string | Detailed asset description |
image_url | string | URL to asset logo/image |
market_cap | object | Market capitalization data (expanded by default) |
price | object | Price data (expanded by default) |
sector | string | Sector of the asset |
slug | string | URL-friendly identifier |
tag_line | string | Short description or tagline |
title | string | Full asset name |
type | string | Asset type classification |
updated_at | number | Unix timestamp of last update |
See also
Authorizations
Path Parameters
Query Parameters
Available options:
addresses, chains, addresses.chain, markets, market_cap, ohlcv_last_24_h, price, reference, sector, supply Response
Required range:
0 <= x <= 4294967295Maximum string length:
20Maximum string length:
100Maximum string length:
100Maximum string length:
255Maximum string length:
65535Maximum string length:
255Maximum string length:
50Maximum string length:
25Unix timestamp
Available options:
Infrastructure, Application Expandable relationship
Show child attributes
Show child attributes
Expandable relationship
Show child attributes
Show child attributes